
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>行业牛人和开源软件改变技术世界 / 憋错料</title>

    <meta name="description" content="行业牛人和开源软件改变技术世界 Google在很长一段时间里都是技术圈内的顶尖技术的代名词.外界也不清楚Google是怎么完成一些不可能完成的任务的.当年,大家光是想象Google怎么保存那些海量的索引,是怎么做到的都不知道.所以大家想象Google里面每个工程师都是百年一遇的大神吧. 直到后来,Jeff Dean的三篇论文Google File System,MapReduce和BigTable一发布,大家才注意到,原来Google有个Systems and Infrastructure Group,有个Jeff Dean大">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">行业牛人和开源软件改变技术世界</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Google在很长一段时间里都是技术圈内的顶尖技术的代名词。外界也不清楚Google是怎么完成一些不可能完成的任务的。当年，大家光是想象Google怎么保存那些海量的索引，是怎么做到的都不知道。所以大家想象Google里面每个工程师都是百年一遇的大神吧。</p>

<p>直到后来，Jeff Dean的三篇论文Google File System，MapReduce和BigTable一发布，大家才注意到，原来Google有个Systems and Infrastructure Group，有个Jeff Dean大神。原来他们把处理海量数据的方法，写成了内部系统，Google的工程师，不需要是神，只要学会这套工具，就可以操纵海量的数据了。</p>

<p>但是，可惜的是，Jeff Dean和Google只开放了他们的思想，但是没开放内部工具出来。这时候，一个叫做Doug Cutting的大神站了出来。</p>

<p>Doug Cutting是Lucene的作者，他当年曾在多家公司做搜索，还曾经在Apple做过搜索，他觉得业界缺乏一个开源的好用的搜索引擎内核。他就写了Lucene，Lucene是现在广泛使用的Elastic Search的内核。可以说，现在你在全世界的很多网站内点搜索，都是Lucene在支撑。仅当年我们创业的时候，因为我们在用Lucene，所以，我们的客户跑在Lucene上的搜索量就有几千万。</p>

<p>Doug Cutting把Jeff Dean的思想实现了出来，做了一个开源软件叫做Hadoop。Hadoop兴起后，其实分析处理海量数据，就变成了一个人人都可以做的事情（买得起机器就可以），从而产生了一场大数据的革命。</p>

<p>我举这个例子什么意思？就是Google很牛逼，Google在04-5年就有能力非常高效的分析处理海量数据。在那个时间点，能做Google量级的事情的人没有几个，这是非常有技术含量的。但是Jeff Dean一公布具体思想，这个技术含量就骤减。但是，仍旧是很有技术含量的。等到Doug Cutting把Hadoop做出来，分析处理海量数据的门槛实际上就降低到了会编译和搭建这个Java开源项目就可以了。</p>

<p>当然，有一些领域内的东西，即使有了开源软件，由于你对领域知识的匮乏，你仍旧很难高效的开发。比如Lucene，非常好用，但是Lucene是一个底层引擎，如果你对倒排索引的各种细节不够清楚，你直接用Lucene开发出好用的搜索是很难得。所以，当时我做了一个Cypress系统，用XML／HTTP请求把Lucene完全封装起来，用户不用懂倒排索引的任何细节就可以用好搜索了。后来流行的Elastic Search，跟我的设计思路如出一辙，唯一的区别是，他用JSON来做数据传输的格式，我用XML。一般团队使用Lucene，可能需要几个月才能做一个可用的搜索，用Cypress或者Elastic Search，一天就够了。</p>

<p>在这些牛人和开源工具的作用下，很多原来无比高大上，也没有几个人可以做的领域，很快就变成了随便一个工程师都可以学会的东西。</p>
<p>实际上，中国的大多数技术公司，核心还是业务，而不是技术，技术的价值在于良好的保障业务。公司真正赚钱是靠业务。美国呢，大公司里面技术比重更高的公司要多一些。但是，也有大量的公司，核心业务并不是技术本身。</p>
<p>在这样公司里面实现业务逻辑的工程师是主流。他们虽然非常重要，但是他们做的事情，价值不是技术含量，而是能不能完美的满足业务需求。</p>
<p>作者：郝培强<br />链接：https://zhuanlan.zhihu.com/p/22646254</p>
<p><a href="http://www.wiz.cn/i/d0bf0767" rel="external nofollow noreferrer">来自为知笔记(Wiz)</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 07:17:06 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>行业牛人和开源软件改变技术世界的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e9nqa0.html" rel="bookmark">Twitter背后用到了哪些开源软件与技术？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果没有开源软件,Twitter将不会存在.你发送和接收的每一个Tweet在移动端和PC端发送的过程中,都会需要开源软件.我们非常好奇Twitter使用了多少开源软件.除此之外,我们想要知道开源对Twitter公司的文化产生了什么影响. 我们采访了Twitter公司主管开源的Manager Chris Aniszczyk,来和我们大家分享Twitter的开源故事.Aniszczxk将会在本月的LinuxCon(8月29日至31日,在San Diego,CA)上做主题演讲: The open so			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nw7zX3.html" rel="bookmark">开源软件之七宗罪以及背后的阴谋</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开源软件之七宗罪以及背后的阴谋 jopen 2012-10-29 11:31:22 ? 发布 摘要:我们每天使用着大量的开源软件,我们歌颂她赞美她.当有人站出来说一句开源不好 肯定会激起N多人站出来批评.然后给你列举出N多开源的好处和闭源的坏处. 我们每天使用着大量的开源软件,我们歌颂她赞美她.当有人站出来说一句开源不好 肯定会激起N多人站出来批评.然后给你列举出N多开源的好处和闭源的坏处. 首先我不反对开源,本文只是无聊时候的自己一点思考.想喷的各位请看完再喷.谢谢 自从开源运动发起以后.各种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ARPadM.html" rel="bookmark">阿里的开源思想：与世界讨论中国的互联网技术与场景</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自从2015年11月阿里巴巴集团宣布正式加入Apache基金会以来,阿里技术已经向Apache捐赠了三个开源项目,分别是JStorm.RocketMQ和Weex.其中Weex于2016年12月15日正式捐赠给Apache基金会.而RocektMQ有望成为首个来自中国的Apache互联网中间件顶级子项目,Weex则有望成为来自中国的移动开发顶级子项目. 截止到2016年9月,阿里已经开源115个项目,加入了FSF基金会.Apache基金会.Linux 基金会和Xen顾问团队.阿里云还是MySQL开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD7oz74.html" rel="bookmark">软件生产线技术、开源软件声明、源码下载地址</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软件生产线指生产软件的软件,先利用建模工具软件用图解的形式给出应用系统的系统模型,之后自动生成应用系统可执行程序,自动完成建立应用系统的工作.它能有效提高应用系统开发效率,减少软件开发成本,提高软件设计质量,实现软件设计规范化与标准化,降低系统维保费用,是实现软件工业化生产的基础之一. 管理信息系统软件生产线3.0版内容包括:软件生产线建模工具.数据库桌面系统.管理信息系统软部件库三部分内容. 软件生产线建模工具模型图包括用例图.数据结构部件图.系统结构部件图.组件图.时序图. 用例图用于需求分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vDA8oM.html" rel="bookmark">关于开源软件和闭源软件我个人Naive的看法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对开源软件来个可能会引发争议的观点:对于绝大多数的软件产品来说,1)闭源的软件产品的技术含量要比开源的要大得多.2)大多数的开源软件都在抄闭源的商用软件. 我来回答我制造的话题. 首先,我先表达一下开源软件的伟大,并向开源的人们致于我最真诚的敬意.但,即使这样,我们也要很客观的承认大多数开源软件是存在大量问题的.就像我这个人主观上并不喜欢微软和IBM,但是我必需要承认,没有微软和IBM,计算机这个行业不会有今天这样的爆炸.(插曲:我94年上大学选的专业是计算机科学,当时很多人都觉得计算机专业是一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/bMoEYl3.html" rel="bookmark">100款开源软件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不知道这些你就OUT了!100款开源软件 好的软件可以极大提高工作效率,完成一些不可能完成工作.然而我们也常常为选择哪款软件而头疼,本次为大家推出的100款软件都是经过整理分类的,而且最重要的是100款软件都是开源免费且使用于Linux环境下,大部分都可以直接从官网上下载使用.如果你完全没有接触过以下我介绍的这100款软件,我只能说一句你OUT了! 图:100款软件分类图 接下来将要介绍的100款开源应用程序,是我花了很多时间为大家整理的,这些软件对大家来说是很有用的.我希望通过这100款软件告			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lGeZNM.html" rel="bookmark">关于软件开发人员如何提高自己的软件专业技术方面的具体建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				“又是一年毕业时”,看到一批批学子离开人生的象牙塔,走上各自的工作岗位:想想自己也曾经意气风发.踌躇满志,不觉感叹万千……本文是自己工作6年的经历沉淀或者经验提炼,希望对所有的软件工程师们有所帮助,早日实现自己的人生目标.本文主要是关于软件开发人员如何提高自己的软件专业技术方面的具体建议,前面几点旨在确定大的方向,算是废话吧.谨以此文献给那个自己为你奉献3年青春与激情的开发团队.还有团队成员:PPL.YT.YK .TYF.LGL.CHL.CDY.CB.DPD. 1. 分享第一条经验:“学历代表过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dAaWg3.html" rel="bookmark">2014 年最热门的国人开发开源软件 TOP 100</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不知道从什么时候开始,很多一说起国产好像就非常愤慨,其实大可不必.做开源中国六年有余,这六年时间国内的开源蓬勃发展,从一开始的使用到贡献,到推出自己很多的开源软件,而且还有很多软件被国外的认可.中国是开源不可忽视的力量. 而我们这个榜单也是从这些国人开发.主要参与开发或者基于国外开源软件进行改进并形成独立版本的软件中,根据该软件的访问.收藏.下载等多个角度,从而得出前 100 名最受欢迎的开源软件.我们所评选出来的软件并非同类型,尽管放在一起不是很科学,但我们仍希望通过我们的视角让大家对国内一些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXn8lq3.html" rel="bookmark">2014 年最热门的国人开发开源软件 TOP 100 - 开源中国社区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不知道从什么时候开始,很多一说起国产好像就非常愤慨,其实大可不必.做开源中国六年有余,这六年时间国内的开源蓬勃发展,从一开始的使用到贡献,到推出自己很多的开源软件,而且还有很多软件被国外的认可.中国是开源不可忽视的力量. 而我们这个榜单也是从这些国人开发.主要参与开发或者基于国外开源软件进行改进并形成独立版本的软件中,根据该软件的访问.收藏.下载等多个角度,从而得出前 100 名最受欢迎的开源软件.我们所评选出来的软件并非同类型,尽管放在一起不是很科学,但我们仍希望通过我们的视角让大家对国内一些			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1ObpM.html" rel="bookmark" class="title">linux&lowbar;无秘登录问题&lpar;不生效&rpar;</a>
					<div>
						1 . 登录1,执行命令 ssh-keygen -t rsa 之后一路回 车,查看刚生成的无密码钥对: cd .ssh 后 执行 ll 2 .把 id_rsa.pub 追加到授权的 key 里面去.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8Emy3.html" rel="bookmark" class="title">YxdJSON - Delphi 高性能 JSON 库（支持RTTI和序列化操作）</a>
					<div>
						Delphi 高性能 JSON 库(支持RTTI和序列化操作) 支持平台: Windows, Android, iOS, Mac OS https://github.com/yangyxd/YxdJs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgXoVK0.html" rel="bookmark" class="title">SSIS入门与进阶</a>
					<div>
						SSIS是从MS SQL 2005开始引入的,实际上是DTS的马甲,是SQL Server Integration Service的缩写.DTS也好,SSIS也罢,都是ETL(Extract Tran ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPd5anM.html" rel="bookmark" class="title">Enum&colon;Fliptile&lpar;POJ 3279&rpar;</a>
					<div>
						Fliptile 题目大意:农夫想要测牛的智商,于是他把牛带到一个黑白格子的地,专门来踩格子看他们能不能把格子踩称全白 这一题其实就是一个枚举题,只是我们只用枚举第一行就可以了,因为这一题有点像开关一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M61v6G4.html" rel="bookmark" class="title">Qt实现九宫图类控件</a>
					<div>
						&lt;1&gt;. 头文件(类声明)class CPreviewWidge : public QWidget{    Q_OBJECTpublic:     CPreviewWidge( const ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jzn2B4.html" rel="bookmark" class="title">uwsgi部署到nginx出现invalid request block size&colon; 4161 &lpar;max 4096&rpar;&period;&period;&period;skip问题</a>
					<div>
						使用Flask制作一个网页平台之后,登陆使用openid登陆,然后使用uwsgi服务部署到nginx上,运行起来没有什么问题,但是偶尔在登陆的时候出现502的错误,一般登陆成功之后后面的任何操作都不会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQWLq4.html" rel="bookmark" class="title">hdoj 2612 Find a way【bfs&plus;队列】</a>
					<div>
						Find a way Time Limit: 3000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6boNyM.html" rel="bookmark" class="title">Thinkcmf子栏目获取父级栏目所有子栏目列表</a>
					<div>
						网站建设时经常需要输出某个栏目的子栏目,对应的在子栏目列表页也需要输出父级栏目的子栏目列表,thinkcmf可以输出所有子栏目,但却无法在子栏目列表页也适用, 因此就需要通过对数据库表查询来完成需求: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWLkDa0.html" rel="bookmark" class="title">Atitit事件代理机制原理 基于css class的事件代理</a>
					<div>
						1.1. 在javasript中delegate这个词经常出现,看字面的意思,代理.委托1 1.2. 事件代理1 1.3. 代理标准化规范1 1.3.1. jQuery和Dojo中delegate函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5pLk0.html" rel="bookmark" class="title">OC之字符串 NSString与NSMutableString</a>
					<div>
						一.NSString 不可变字符串的操作1)将字符串常量对象直接赋值给字符串引用 NSString *[email protected]&quot;hello&quot;; 字符串对象的输出格式:NS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38bN82M.html" rel="bookmark" class="title">转载他人文章对网站好还是不好</a>
					<div>
						到目前为止,由于搜索引擎最为敏感的还是主要以文字内容为主,所以各大站长都以文章谔谔方式来进行优化网站,也是最重要的一种方式.下面就来说下文章更新方式的一种:转载 首选说下转载的好处:花费时间少,无需自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41znPOM.html" rel="bookmark" class="title">怎么为学生布置作业</a>
					<div>
						package text1; public class P1 {public static void gs(Object obj){System.out.println(obj);}public st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEAzA4.html" rel="bookmark" class="title">Linq to BBJECT之非延时标准查询操作符</a>
					<div>
						非延时标准查询操作符是指不具备延时查询特性的标准查询操作符,这些操作符一般用于辅助延时标准查询操作符使用. 1.ToArray操作符 ToArray操作符用于将一个输入序列转换成一个数组. 方法原型: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQoVAM.html" rel="bookmark" class="title">测试框架</a>
					<div>
						什么是测试框架 测试框架是一组自动化测试的规范.测试脚本的基础代码,以及测试思想.惯例的集合.可用于减少冗余代码.提高代码生产率.提高代码重用性和可维护性.测试框架出现的最终目的是花少量的资源来完成尽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l788NM.html" rel="bookmark" class="title">大量免费知识管理资料&lpar;PPT、PDF、方案、观点）等下载</a>
					<div>
						在中国知识管理中心的微信公众帐号[KMCenter]上,我们分享了不少关于知识管理的资料,后续会持续的通过这个渠道进行分享.感兴趣的可以下载阅读: 微信号:[KMCenter] 发送&quot;1&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471xeo0.html" rel="bookmark" class="title">log4j配置文件中的additivity属性</a>
					<div>
						它是 子Logger 是否继承 父Logger 的 输出源(appender)的标志位.具体说,默认情况下子Logger会继承父Logger的appender,也就是说子Logger会在父Logger ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjAJ9M.html" rel="bookmark" class="title">maven规定的目录</a>
					<div>
						Maven规定的目录结构 若要使用Maven,那么项目的目录结构必须符合Maven的规范 ,如写一个使用Spring的Web项目就需要引入大量的jar包.一个项目Jar包的数量之多往往让我们瞠目结舌, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVR9odM.html" rel="bookmark" class="title">windows下使用lighttpd&plus;php&lpar;fastcgi&rpar;&plus;mysql</a>
					<div>
						一.windows下编译配置执行lighttpd 1.下载并安装cygwin. 2.下载lighttpd源码并解压3.在cygwin环境下进入lighttpd的解压文件夹后,执行: 1&gt; ./c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBz5wAM.html" rel="bookmark" class="title">SQL Server内存</a>
					<div>
						背景 最近一个客户找到我说是所有的SQL Server 服务器的内存都被用光了,然后截图给我看了一台服务器的任务管理器.如图 这里要说明一下任务管理器不会完整的告诉真的内存或者CPU的使用情况,也就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K7AEY0.html" rel="bookmark" class="title">一步步学习Python开发-建立django数据库</a>
					<div>
						上篇文章建立了一个空的网站.现在我们要准备正式我们的网站开发咯.那么开发的第一步是啥呢?当然是要确定做什么网站了.每个人的开发习惯可能不尽相同,有点可能是从前端开始设计,有的可能是从数据库开始设计(不 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
